import VectorType from '../enum/VectorType.js'
import Geometry from './Geometry'

export default class Point extends Geometry {
    constructor(x, y, vectorId, floor) {
        super()
        this.x = x
        this.y = y

        this.display = false
        this.floor = floor

        this.name = null
        this.parent = {}
        this.geoType = VectorType.Point
        this.setId(vectorId)
    }

    setPosition(position) {
        this.x = position.x
        this.y = position.y
    }
}
